package com.hzya.frame.seeyon.entity;


import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * @Content OA监听事件提供的表单内容
 * @Author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @Date 2020-12-24 8:38
 * @Version 1.0
 */
public class OAWorkflowEventDataEntity  {
    private String id;//业务表单id
    private String eventType;//流程类型
    /** 流程ID*/
    private String summaryId;
    /** 节点ID*/
    private String affairId;
    private String currentActivityId;
    /** 表单表的FORM ID,用此字段标记是哪个流程*/
    private String formApp;
    /****/
    private String formViewOperation;
    private Object summaryObj;
    private String deeCfgId;
    private String currentNodeLast;
    private Map<String, Object> businessData;
    private Map<String, Object> extData;
    private String businessDataStr;
    private JSONObject hzyaExtData;//存放一些扩展数据
    private String OnProcessFinished;
    public String getSummaryId() {
        return summaryId;
    }

    public void setSummaryId(String summaryId) {
        this.summaryId = summaryId;
    }

    public String getAffairId() {
        return affairId;
    }

    public void setAffairId(String affairId) {
        this.affairId = affairId;
    }

    public String getCurrentActivityId() {
        return currentActivityId;
    }

    public void setCurrentActivityId(String currentActivityId) {
        this.currentActivityId = currentActivityId;
    }

    public String getFormApp() {
        return formApp;
    }

    public void setFormApp(String formApp) {
        this.formApp = formApp;
    }

    public String getFormViewOperation() {
        return formViewOperation;
    }

    public void setFormViewOperation(String formViewOperation) {
        this.formViewOperation = formViewOperation;
    }

    public Object getSummaryObj() {
        return summaryObj;
    }

    public void setSummaryObj(Object summaryObj) {
        this.summaryObj = summaryObj;
    }

    public String getDeeCfgId() {
        return deeCfgId;
    }

    public void setDeeCfgId(String deeCfgId) {
        this.deeCfgId = deeCfgId;
    }

    public String getCurrentNodeLast() {
        return currentNodeLast;
    }

    public void setCurrentNodeLast(String currentNodeLast) {
        this.currentNodeLast = currentNodeLast;
    }

    public Map<String, Object> getBusinessData() {
        return businessData;
    }

    public void setBusinessData(Map<String, Object> businessData) {
        this.businessData = businessData;
    }

    public Map<String, Object> getExtData() {
        return extData;
    }

    public void setExtData(Map<String, Object> extData) {
        this.extData = extData;
    }

    public String getBusinessDataStr() {
        return businessDataStr;
    }

    public void setBusinessDataStr(String businessDataStr) {
        this.businessDataStr = businessDataStr;
    }

    public String getOnProcessFinished() {
        return OnProcessFinished;
    }

    public void setOnProcessFinished(String onProcessFinished) {
        OnProcessFinished = onProcessFinished;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public JSONObject getHzyaExtData() {
        return hzyaExtData;
    }

    public void setHzyaExtData(JSONObject hzyaExtData) {
        this.hzyaExtData = hzyaExtData;
    }
}
